> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get status of a background job

> Job status

### Path parameters

<ParamField path="tenant_id" type="string" required>
  Tenant identifier
</ParamField>

<ParamField path="job_id" type="string (uuid)" required>
  Job UUID
</ParamField>

### Response

`JobInfo`

<ResponseField name="claimedBy" type="string" />

<ResponseField name="createdAt" type="string (date-time)" required />

<ResponseField name="error" type="string" />

<ResponseField name="finishedAt" type="string (date-time)" />

<ResponseField name="jobId" type="string (uuid)" required />

<ResponseField name="jobType" type="JobKind" required />

<ResponseField name="leaseExpiresAt" type="string (date-time)" />

<ResponseField name="maxRetries" type="integer (int32)" required />

<ResponseField name="nextRetryAt" type="string (date-time)" />

<ResponseField name="result" type="object" />

<ResponseField name="retryCount" type="integer (int32)" required />

<ResponseField name="scheduleId" type="string (uuid)" />

<ResponseField name="startedAt" type="string (date-time)" />

<ResponseField name="state" type="JobState" required />

<ResponseField name="tenantId" type="string" required />

### Status codes

| Code  | Meaning       |
| ----- | ------------- |
| `200` | Job status    |
| `401` | Unauthorized  |
| `404` | Job not found |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/jobs/{job_id}' \
    --header 'x-stateset-api-key: YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "claimedBy": "string",
    "createdAt": "2026-08-31T14:22:05Z",
    "error": "string",
    "finishedAt": "2026-08-31T14:22:05Z",
    "jobId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "jobType": null,
    "leaseExpiresAt": "2026-08-31T14:22:05Z",
    "maxRetries": 1,
    "nextRetryAt": "2026-08-31T14:22:05Z",
    "result": null,
    "retryCount": 1,
    "scheduleId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "startedAt": "2026-08-31T14:22:05Z",
    "state": null,
    "tenantId": "acme-outdoors"
  }
  ```
</ResponseExample>
